python教程—没有名为pip.req的模块-Python实用宝典

python教程—没有名为pip.req的模块

我正在安装tweepy,但我遇到一个关于pip.req的错误。我已经安装了pip,但是出于某种原因,pip。仍然找不到req。我在网上做了大量的研究,我能找到的最多的是一些关于zapo(?)和python 2.7之间的不兼容性的问题,这给其他用户造成了相同的错误。然而,关于如何解决这个问题的讨论并不明确。谢谢!

我正在安装tweepy,但我遇到一个关于pip.req的错误。我已经安装了pip,但是出于某种原因,pip。仍然找不到req。我在网上做了大量的研究,我能找到的最多的是一些关于zapo(?)和python 2.7之间的不兼容性的问题,这给其他用户造成了相同的错误。然而,关于如何解决这个问题的讨论并不明确。谢谢!

    $ python2 setup.py install Traceback (most recent call last): File "setup.py", line 5, in <module> from pip.req import parse_requirements ImportError: No module named pip.req

回答

如果你有这样的代码,它看起来会工作:

    def parse_requirements(filename): """ load requirements from a pip requirements file """ lineiter = (line.strip() for line in open(filename)) return [line for line in lineiter if line and not line.startswith("#")]

这样做:

  1. 创建一个目录pip/
  2. 添加一个空文件pip/ _init_ .py
  3. 添加一个文件pip/req.py
  4. 将上述代码放入pip/req.py:
  5. 修改setup.py中的行

    请求= install_reqs

​Python实用宝典 (pythondict.com)
不只是一个宝典
欢迎关注公众号:Python实用宝典

本文由 Python实用宝典 作者:Python实用宝典 发表,其版权均为 Python实用宝典 所有,文章内容系作者个人观点,不代表 Python实用宝典 对观点赞同或支持。如需转载,请注明文章来源。
0

发表评论